
From: Johannes Stezenbach <js@linuxtv.org>

Use alternative interface.  Asks for less bandwidth and therefore works with
OHCI as well as UHCI (Alex Woods)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/ttusb-dec/ttusb_dec.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/ttusb-dec/ttusb_dec.c~dvb-ttusb_dec-use-alternative-interface-to-save-bandwidth drivers/media/dvb/ttusb-dec/ttusb_dec.c
--- 25/drivers/media/dvb/ttusb-dec/ttusb_dec.c~dvb-ttusb_dec-use-alternative-interface-to-save-bandwidth	2005-03-21 20:57:43.000000000 -0800
+++ 25-akpm/drivers/media/dvb/ttusb-dec/ttusb_dec.c	2005-03-21 20:57:44.000000000 -0800
@@ -62,7 +62,7 @@ MODULE_PARM_DESC(output_pva, "Output PVA
 
 #define ISO_BUF_COUNT		0x04
 #define FRAMES_PER_ISO_BUF	0x04
-#define ISO_FRAME_SIZE		0x03FF
+#define ISO_FRAME_SIZE		0x0380
 
 #define	MAX_PVA_LENGTH		6144
 
@@ -781,7 +781,7 @@ static int ttusb_dec_set_interface(struc
 							b, NULL, NULL);
 			if (result)
 				return result;
-			result = usb_set_interface(dec->udev, 0, 7);
+			result = usb_set_interface(dec->udev, 0, 8);
 			break;
 		case TTUSB_DEC_INTERFACE_OUT:
 			result = usb_set_interface(dec->udev, 0, 1);
_
